Visual Basic Customization

Visual Basic Customization

Reply
New Member
xanhnhnn289683
Posts: 1
Registered: ‎12-07-2012
Message 1 of 1 (124 Views)

object_vb.net

124 Views, 0 Replies
12-13-2012 06:42 AM
Welcome Forum! 
I have a question related to vba of AutoCad, reference your comments. Comments Reference sent to the email address: xanhnhnn280683@gmail.com  thank you.
 
Questions:( I write mã VBA trong autocad running best, select in objects domain non empty, select the outside of objects domain Empty:)
 
Sub testboundary
Dim kiemtradoituong As Long, RetPoint As Variant
kiemtradoituong = ThisDrawing.ModelSpace.Count
Dim pt As Variant
pt = ThisDrawing.Utility.GetPoint(, "Select object or enter to finish")
ThisDrawing.SendCommand "-Boundary" & vbCr & pt(0) & "," & pt(1) & vbCr & vbCr
If ThisDrawing.ModelSpace.Count > kiemtradoituong Then
RetPoint = ThisDrawing.Utility.GetPoint(, " non domain Empty ")
Else
RetPoint = ThisDrawing.Utility.GetPoint(, " domain Empty ")
End If
End sub
by vb.net language that supports creating  dynamic library (dll), so I make run some examples vba in autocad.( Address reference: http://through-the-interface.typepad.com/through_the_interface/2011/08/debugging-autocad-net-project...).
when I create file dll by visual tudio 2010 (vb.net) support, the variable (Dim pt As Variant) in vba autocad,  vb.net changed (Dim pt As Object) run vba autocad error, looking for help
Best regards
Xanhnhnn280683
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Do you have 60 seconds to spare? The Autodesk Community Team is revamping our site ranking system and we want your feedback! Please click here to launch the 5 question survey. As always your input is greatly appreciated.